summaryrefslogtreecommitdiff
path: root/dev-python/python-bugzilla/python-bugzilla-3.0.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-06 00:25:16 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-06 00:25:16 +0000
commite323e1d9d3e69d5951d8ef6ca422f96cf0c2c4c9 (patch)
tree958e18bed3b6fe65e209d02bd2a6f522329adc35 /dev-python/python-bugzilla/python-bugzilla-3.0.0.ebuild
parent1b4912542c52b2ce70ebf5acdeea40ee114c261c (diff)
downloadbaldeagleos-repo-e323e1d9d3e69d5951d8ef6ca422f96cf0c2c4c9.tar.gz
baldeagleos-repo-e323e1d9d3e69d5951d8ef6ca422f96cf0c2c4c9.tar.xz
baldeagleos-repo-e323e1d9d3e69d5951d8ef6ca422f96cf0c2c4c9.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-bugzilla/python-bugzilla-3.0.0.ebuild')
-rw-r--r--dev-python/python-bugzilla/python-bugzilla-3.0.0.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/dev-python/python-bugzilla/python-bugzilla-3.0.0.ebuild b/dev-python/python-bugzilla/python-bugzilla-3.0.0.ebuild
new file mode 100644
index 000000000000..907780472974
--- /dev/null
+++ b/dev-python/python-bugzilla/python-bugzilla-3.0.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python module for interacting with Bugzilla over XMLRPC"
+HOMEPAGE="https://github.com/python-bugzilla/python-bugzilla"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+LICENSE="GPL-2+"
+SLOT="0"
+
+RDEPEND="
+ || ( dev-python/python-magic[${PYTHON_USEDEP}] sys-apps/file[python,${PYTHON_USEDEP}] )
+ dev-python/requests[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest